Loading...
Searching...
No Matches
type_traits.hpp File Reference

Provides various transformation traits used by the range module. More...

`#include <iterator>`
`#include <ranges>`
`#include <type_traits>`
`#include <seqan3/core/detail/iterator_traits.hpp>`
`#include <seqan3/core/platform.hpp>`
`#include <seqan3/utility/type_traits/basic.hpp>`
Include dependency graph for core/range/type_traits.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | seqan3::range_innermost_value< t >
| Recursively determines the value_type on containers and/or iterators. More...

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.

## Typedefs

template<typename t>
using | seqan3::range_innermost_value_t = typename range_innermost_value<t>::type
| Shortcut for seqan3::range_innermost_value (transformation_trait shortcut).

## Variables

template<typename t>
constexpr size_t | seqan3::range_dimension_v = 1
| Returns the number of times you can call seqan3::value_type_t recursively on t (type trait).

## Detailed Description

Provides various transformation traits used by the range module.

Author
  Hannes Hauswedell <hannes.hauswedell AT fu-berlin.de>

Hide me